//
//  HotkeyController.h
//  DDCCTL
//
//  Created by Rens Breur on 17/01/15.
//  Copyright (c) 2015 Rens Breur. All rights reserved.
//
//  Assign commands to a certain keyboard key
//

#import <Foundation/Foundation.h>

typedef enum {
    HotkeyEventKeyDown,
    HotkeyEventKeyPressed
} HotkeyEvent;

@interface HotkeyController : NSObject

// Add callback for a certain keyboard key
- (void)addListener:(void(^)(HotkeyEvent))block forHotkey:(int)hotKey;

@end
