//
//  MenuItemController.h
//  DDCCTL
//
//  Created by Rens Breur on 17/01/15.
//  Copyright (c) 2015 Rens Breur. All rights reserved.
//
//  Add a status bar icon with a command
//

#import <Foundation/Foundation.h>
#import <Cocoa/Cocoa.h>

typedef void(^MenuClicked)(void);

@interface MenuItemController : NSObject

// Set the image
- (void)setImage:(NSString *)image;

// Set the callback block
@property (nonatomic, strong) MenuClicked menuClicked;

@end
